const isHh = location.host.includes('10.196.131.73') //是否是河海版本
const isCH = location.host.includes('120.78.127.12') //是否是巢湖版本
const isBeta = process.env.NODE_ENV === 'development' || location.host.includes('120.78.198.231') //是否是职站测试
const isPro = location.host.includes('occupationlab.com') //是否是职站生产

let host = "";
if(isHh) {
    host = "http://10.196.131.73/";
} else if(isCH) {
    host = "http://120.78.127.12/";
} else if(isBeta) {
    host = "http://120.78.198.231:8081/";
} else if(isPro) {
    host = "http://www.occupationlab.com/";
} else {
    console.log("其它版本");
}

export default {
    /**
     * @description 域名切换
     */
    host,
    /**
     * @description 是否是河海版本
     */
    isHh,
    /**
     * @description 是否是巢湖版本
     */
    isCH,
    /**
     * @description 是否是开发/测试版本
     */
    isBeta,
    /**
     * @description 是否是生产版本
     */
    isPro,
    /**
     * @description 配置显示在浏览器标签的title
     */
    title: '大数据分析实验教学系统',
    /**
     * @description 是否使用国际化，默认为false
     *              如果不使用，则需要在路由中给需要在菜单中展示的路由设置meta: {title: 'xxx'}
     *              用来在菜单中显示文字
     */
    locale: 'zh',
    /**
     * @description 跳转子系统链接
     */
    systemId: 8,
    /**
     * @description 长时间未操作，自动退出登录时间
     */
    autoLogoutTime: 3600000
}